Package twisted :: Package mail :: Module mail :: Class DomainWithDefaultDict

[frames | no frames]

## Class DomainWithDefaultDict

Simulate a dictionary with a default value for non-existing keys.

Method Summary
| `__init__(self, domains, default)`
| `__contains__(self, name)`
| `__delitem__(self, name)`
| `__getitem__(self, name)`
| `__iter__(self)`
| `__len__(self)`
| `__repr__(self)`
| `__setitem__(self, name, value)`
| `__str__(self)`
| `clear(self)`
| `copy(self)`
| `fromkeys(klass, keys, value)` (Class method)
| `get(self, key, default)`
| `has_key(self, name)`
| `items(self)`
| `iteritems(self)`
| `iterkeys(self)`
| `itervalues(self)`
| `keys(self)`
| `popitem(self)`
| `setdefault(self, key, default)`
| `setDefaultDomain(self, domain)`
| `update(self, other)`
| `values(self)`

Generated by Epydoc 2.0 on Sat May 15 20:08:28 2004 | http://epydoc.sf.net